'==========================================================================
'
'
' NOM : IPower_ON
'
' Allows using the Windows Task Scheduler to switch the IPower to "ON"
'
' Ermglicht das Einschalten eines Ports des LINDY IPowerControl via Windows Task-Scheduler
'
' Permet  l'aide du planificateur des tches de Windows de commuter le port IPower sur "ON"
'
' DATE : 09/07/2012
' Author : Serge Bapst
' HTTP://www.lindy.fr
'
' ==========================================================================
' Settings
'
' Kommando-Parameter
'
' Paramtres de la commande
'
'  "http://[admin:passwd]@[epc.ip.addr][:HTTP-Port]/?cmd=1&p=[x]&s=[y]"
'
' ==========================================================================
' [admin:passwd] By default access is not password protected, this setting is only required if
' you've set a password before. In this case you have to change "passwd" to your defined password.
'
' In der Werkseinstellung ist kein Passwort gesetzt, daher ist diese Einstellng nur notwendig, 
' wenn fr den Zugriff ein Passwort gesetzt wurde
'
' Par dfaut l'accs n'est pas protg par mot de passe,
' ce paramtre n'est requis que si vous avez paramtr un mot de passe au travers de l'interface.
' "passwd" devra tre remplac par le mot de passe que vous aurez dfini.
' ==========================================================================
' [epc.ip.addr]  IP address or Hostname   IP-Adresse oder Hostname des IPower Switch Adresse IP ou Hostname de l'lment
' ==========================================================================
' [:PORT] Here you have to specify the HTTP Port if the default port (80) is not used
'
' Wenn ein anderer HTTP-Port als 80 verwendet wird, muss dieser hier angegeben werden.
'
' Port  spcifier si le port par dfaut n'est pas  utilis (Port 80)
' ==========================================================================
' [x] Port number (1 to ....) Depends on the model of your IPowerControl
'
' [x] Portnummer des zu schaltenden Ausgangs am IPowerControl
	
' Numro du port  commuter (1  ....) Dpendant du nombre de ports prsents sur l'IPower
' ==========================================================================
' [y] Switching state (0=OFF, 1=ON)	Choix de l'tat de commutation (0=OFF, 1=ON)
' DON'T MODIFY THIS SETTING !
' DIESE EINSTELLUNG NICHT NDERN!
' NE PAS MODIFIER CE PARAMETRE !
'==========================================================================
' Please take care not to change the [y] argument here, there is another
' script allowing to switch the IPower "OFF"
'
' Bitte lassen Sie das [y]-Argument unverndert, zum Ausschalten eines Ports 
' existiert ein anderes Script
'
' Veuillez ne pas changer l'argument [y] ici, un autre script permettant de
' commuter sur "OFF" est disponible

  Set HttpReq = CreateObject("MSXML2.ServerXMLHTTP")
  HttpReq.Open "GET", "http://admin:admin@192.168.3.154:80/?cmd=1&p=1&s=1", False
  HttpReq.send
